Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-01-2016 16:47:13

bartaba
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 04-02-2014

Les dépôts deb-multimedia peuvent ils poser problème ?

Salut
J'avais lu une fois qu'il fallait éviter d'ajouter les dépôts deb-multimedia car ça pouvait poser problème (lesquels ?)
Il me semble aussi qu'il y avait un conflit entre la personne qui maintient deb-multimedia avec certains dévéloppeurs de debian ?
Bref, si je pose cette question c'est que le logiciel avidemux n'est pas dans les depôts debian, ce qui est incompréhensible, et j'aimerais bien savoir la raison de lson absence ?
Donc soit on passe par deb-multimedia soit on passe par la compilation, ce que j'ai fait et le résultat n'est pas terrible. Ça marche mais il manque des trucs.

Hors ligne

#2 06-01-2016 19:37:43

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

visiblement, il n'est plus dans aucun dépôt. Si ce logiciel n'est plus présent, il faudrait en avoir les raisons.

pour deb-multimedia, il y a eu des pb de dépendances pour certains.

En ligne

#3 06-01-2016 20:16:24

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

On installant Avidemux par les deb-multimedia, tu va mettre à jour libavcodec et d'autres lib etc. Certains programmes vont ne plus fonctionner. Donc moi, j'évite car le retour en arrière sera peut-être problématique.
Son absence, c'est simple. C'est un problème de droit sur certains codecs.

Je n'ai jamais réussi à mener à bien la compilation d' Avidemux .... jusqu'a ce soir !!! big_smile

J'ai pris la version Beta :
http://fixounet.free.fr/avidemux/download.html
2.6.11Beta1 (tar.gz), FossHub

Suivi la démarche :
http://www.avidemux.org/admWiki/doku.ph … nstall_2.6

et plus précisément :


apt-get install gcc g++ make cmake pkg-config libpng12-dev fakeroot yasm libsqlite3-dev  build-essential

apt-get install libqt4-dev

apt-get install qttools5-dev-tools qtbase5-dev

apt-get install  libmp3lame-dev libx264-dev  libfaad-dev libfaac-dev

 



PS: j'ai viré libaften-dev

Dans le dossier avidemux_2.6.11beta1 (vérifier que le script soit bien exécutable)


./bootStrap.bash --deb --enable-qt5 --with-cli
 





...
** Preparing debs **
Preparing packages
** debs directory ready **
total 9720
-rw-r--r-- 1 patrick patrick    1340 janv.  6 18:57 avidemux3-cli-2.6.911-160106-dev.deb
-rw-r--r-- 1 patrick patrick 1586370 janv.  6 18:57 avidemux3-cli-2.6.911-160106-runtime.deb
-rw-r--r-- 1 patrick patrick  150314 janv.  6 18:57 avidemux3-core-2.6.911-160106-dev.deb
-rw-r--r-- 1 patrick patrick 3502158 janv.  6 18:57 avidemux3-core-2.6.911-160106-runtime.deb
-rw-r--r-- 1 patrick patrick   57374 janv.  6 18:57 avidemux3-plugins-CLI-2.6.911-160106-plugins.deb
-rw-r--r-- 1 patrick patrick 1919098 janv.  6 18:57 avidemux3-plugins-COMMON-2.6.911-160106-plugins.deb
-rw-r--r-- 1 patrick patrick  254522 janv.  6 18:57 avidemux3-plugins-qt5-2.6.911-160106-plugins.deb
-rw-r--r-- 1 patrick patrick    1342 janv.  6 18:57 avidemux3-qt5-2.6.911-160106-dev.deb
-rw-r--r-- 1 patrick patrick 2450732 janv.  6 18:57 avidemux3-qt5-2.6.911-160106-runtime.deb
-rw-r--r-- 1 patrick patrick    1942 janv.  6 18:57 avidemux3-settings-2.6.911-160106-settings.deb
** ALL DONE **
** The installable packages are in the debs folder **
patrick@debian:~/Téléchargements/avidemux_2.6.11beta1$
 



Et voilà wink


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#4 06-01-2016 20:30:05

enicar
Membre
Lieu : Grenoble
Distrib. : debian/sid
Noyau : Linux 4.8.10
(G)UI : openbox
Inscription : 26-08-2010

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

golgot200 a écrit :

On installant Avidemux par les deb-multimedia, tu va mettre à jour libavcodec et d'autres lib etc. Certains programmes vont ne plus fonctionner.


Quels sont les programmes qui ne fonctionnent plus précisément ?

Sinon, il est vrai qu'utiliser un programme de deb-multimedia va obliger à utiliser tous les programmes
de deb-multimedia que l'on avait installé depuis les dépôts debian officiels et qui sont aussi présents
dans le dépôt de deb-multmedia. C'est donc très envahissant. C'est pourtant ce que je fais, sans que
ça pose de problèmes.


La machine, c'est dépassé ! On va tout remplacer par des humains big_smile

Hors ligne

#5 06-01-2016 21:06:45

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

Alors,

Le mieux est modifier le fichier préférences et mettre une valeur de 100 à deb-multimedia.
Ainsi les paquets déjà installés comme ceux cités par golgot200 ne seront pas mis à jour.

https://debian-facile.org/doc:systeme:apt:pinning

Exemple:

Package: *
Pin: release o=Unofficial Multimedia Packages
Pin-Priority: 100



Après tu peux lancer l'installation en mode simulation pour voir:


apt-get update




apt-get install -s avidemux

Hors ligne

#6 06-01-2016 21:10:45

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

enicar a écrit :


Quels sont les programmes qui ne fonctionnent plus précisément ?



Je n'ai plus ces programmes en tête. C'était au niveau encodage en commande avec ffmpeg, je crois et un programme Tragtor qui lui n'est pas dans les dépots.
Le retour en arrière aussi, qui me virait la totalité de ma distri big_smile


Je suis en train de regarder l'installation d'avidemux par le deb-multimedia. Seul libmp3lame-dev libmp3lame0 vont être mis à jour pour l'installation de ce programme. Ce qui est bizarre donc j'installe.


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#7 06-01-2016 21:31:08

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

C'est encore mieux ce que propose deuchdeb

L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#8 07-01-2016 12:00:57

bartaba
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : Les dépôts deb-multimedia peuvent ils poser problème ?

Re
J'ai compilé la version beta 2.6.11 de avidemux, car la version que j'avais depuis un bout de temps etait la 2.6.8
Avec la 2.6.11 c'est mieux mais il manque le codec xvid pour l'encodage, je m'en sert jamais ou pratiquement jamais de ce codec, je me sert surtout de  x264 donc ça devrait aller.
Pour les deb-multimedia je pense que je ne vais  pas les ajouter puisque j'ai avidemux maintenant.
Sinon peut on demander aux mainteneurs debian pour qu'ils intègrent avidemux dans les depôts ? Comment faire ?
Pour Jessie j'imagine que c'est pas possible mais s'ils pouvaient le faire pour testing et éventuellement la prochaine stable ça serait bien.

Hors ligne

Pied de page des forums